WordPress.org

Ready to get started?Download WordPress

Forums

Customizr
Javascript error in IE 8 (holder.js) (4 posts)

  1. jrisberg
    Member
    Posted 11 months ago #

    I was getting a persistent javascript error in Internet Explorer 8 (I know, but I have to test against it). The error (function expected) referenced line 316 in customizr/inc/js/holder.js

    Replacing the version 1.9 of holder.js with version 2.0 from this Git site fixed the error:

    https://github.com/imsky/holder/blob/master/holder.js

    Hope this is helpful.

    Joel

  2. imsky
    Member
    Posted 11 months ago #

    Please use the tagged 2.0 release, since the raw file may change unpredictably: https://github.com/imsky/holder/releases/tag/v2.0

    Ivan

  3. nikeo
    Member
    Theme Author

    Posted 11 months ago #

    Hi,
    Thanks very much for pointing this out! I will work on a fix.
    Regards,
    Nicolas

  4. toxicshlock
    Member
    Posted 11 months ago #

    Hi Nikeo - first and foremost well done sir on your theme!
    In a shop where I would like to use this as it's blog format, testing with many browsers now encountering the same error an IE8, it causes all the posts on the main page, specifically the title to extend beyond their fields (attaching error to help in any capacity):
    On a side note to get IE 9 to play ball with the slider alignment I seemingly have had to remove your "if IE7/IE8" lines within header.php (please correct me if I am on the wrong path on that one!):

    IE 8 error:
    Webpage error details
    User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/4.0; SLCC2; .NET CLR 2.0.50727)
    Timestamp: Mon, 29 Jul 2013 19:04:19 UTC
    Message: Function expected
    Line: 316
    Char: 2
    Code: 0
    URI: http://servername/xxxxxxx/wp-content/themes/customizr/inc/js/holder.js

Reply

You must log in to post.

About this Theme

About this Topic